<?php

/**

 * Contact Section

 */

$contact_section_email = get_theme_mod('contact_section_email');

$contact_section_address = get_theme_mod('contact_section_address');

$contact_section_phone = get_theme_mod('contact_section_phone');

$contact_section_gmap_lat = get_theme_mod('contact_section_gmap_lat');

$contact_section_gmap_long = get_theme_mod('contact_section_gmap_long');

$contact_section_gmap_display = get_theme_mod('contact_section_gmap_display');

?>

<div class="container">

    <div class="clearfix">



        <div class="contact-info clearfix">

            <?php if ($contact_section_email != '') : ?>

                <div class="wow fadeInLeft" data-wow-duration="2s">

                    <a href="mailto: <?php echo $contact_section_email; ?>">

                        <i class="fa fa-envelope"></i>

                        <div class="clearfix"></div>

                        <span><?php echo $contact_section_email; ?></span>

                    </a>

                </div>

            <?php endif; ?>



            <?php if ($contact_section_address != '') : ?>

                <div class="wow fadeInDown" data-wow-duration="2s">

                        <i class="fa fa-map-marker"></i>

                        <div class="clearfix"></div>

                        <span><?php echo $contact_section_address; ?></span>

                </div>

            <?php endif; ?>



            <?php if ($contact_section_phone != '') : ?>

                <div class="wow fadeInRight" data-wow-duration="2s">

                    <a href="tel: <?php echo $contact_section_phone; ?>">

                        <i class="fa fa-mobile"></i>

                        <div class="clearfix"></div>

                        <span><?php echo $contact_section_phone; ?></span>

                    </a>

                </div>

            <?php endif; ?>

        </div>

    </div>

</div>

<?php if ($contact_section_gmap_display == 1) : ?>

    <script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=AIzaSyDSWLaEjz6J7NASed5fy35m9QCVteB60kk"></script>

    <script type="text/javascript">

        var map;

        function initialize() {

            map = new google.maps.Map(document.getElementById('map-canvas'), {

                zoom: 15,

                center: {lat: <?php echo $contact_section_gmap_lat; ?>, lng: <?php echo $contact_section_gmap_long; ?>},

                panControl: false,

                zoomControl: true,

                scaleControl: false,

                scrollwheel: false,

            });

        }



        google.maps.event.addDomListener(window, 'load', initialize);

    </script>

    <div class="res-map-overlay">

    <div class="wow fadeIn" data-wow-duration="2s" id="map-canvas" style="width: 100%; height: 400px;"></div>

    </div>

<?php endif; ?>